# File rocrand_mtgp32.h

## Definition (`library/include/rocrand/rocrand_mtgp32.h`)

- Program Listing for File rocrand_mtgp32.h

## Includes

- `rocrand/rocrand.h` (File rocrand.h)

- `rocrand/rocrand_common.h` (File rocrand_common.h)

- `stdlib.h`

## Included By

- File rocrand_discrete.h

- File rocrand_kernel.h

- File rocrand_log_normal.h

- File rocrand_mtgp32_11213.h

- File rocrand_normal.h

- File rocrand_poisson.h

- File rocrand_uniform.h

## Namespaces

- Namespace rocrand_device

## Classes

- Struct mtgp32_params_fast_t

## Functions

- Function rocrand()

- Function rocrand_device::rocrand_mtgp32_init_state

- Function rocrand_make_constant

- Function rocrand_make_state_mtgp32

- Function rocrand_mtgp32_block_copy

- Function rocrand_mtgp32_set_params

## Defines

- Define FQUALIFIERS

- Define MTGP_BN_MAX

- Define MTGP_CEIL_2P

- Define MTGP_FLOOR_2P

- Define MTGP_LS

- Define MTGP_MASK

- Define MTGP_MEXP

- Define MTGP_N

- Define MTGP_STATE

- Define MTGP_TN

- Define MTGP_TS

## Typedefs

- Typedef rocrand_device::mtgp32_fast_params